diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_data18STDM15.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_data18STDM15.sh
new file mode 100755
index 0000000000000000000000000000000000000000..41f6fde9267dec70ffa66baaf779cd9e05f67b7a
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_data18STDM15.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# art-include: 21.2/AthDerivation
+# art-description: DAOD building STDM15 data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/data18_13TeV.00364292.physics_Main.merge.AOD.f1002_m2037._lb0163._0006.1 --outputDAODFile art.pool.root --reductionConf STDM15 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True); from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-49"; from AthenaCommon.AlgSequence import AlgSequence; topSequence = AlgSequence(); topSequence += CfgMgr.xAODMaker__DynVarFixerAlg( "InDetTrackParticlesFixer", Containers = [ "InDetTrackParticlesAux." ] )' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_STDM15File DAOD_STDM15.art.pool.root --outputDAOD_STDM15_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_STDM15.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM15.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_mc16STDM15.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_mc16STDM15.sh
new file mode 100755
index 0000000000000000000000000000000000000000..a3a3a1c149ac68ff4d0bc35c055d6bc897e9602b
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkSMART/test/test_mc16STDM15.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# art-include: 21.2/AthDerivation
+# art-description: DAOD building STDM15 mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.14795494._005958.pool.root.1 --outputDAODFile art.pool.root --reductionConf STDM15 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-49" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_STDM15File DAOD_STDM15.art.pool.root --outputDAOD_STDM15_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_STDM15.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM15.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
index b4708dec9210ad586cb17e5bdf1acf600686f2cd..5b36ba14efc56f424aa9e79e230df4aa37066953 100644
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/makeARTScripts.py
@@ -15,7 +15,7 @@ formatList = ['PHYSVAL','PHYS',
               'HIGG5D1', 'HIGG5D2', 'HIGG5D3',
               'HIGG6D1', 'HIGG6D2',
               'HIGG8D1',
-              'STDM2', 'STDM3', 'STDM4', 'STDM5', 'STDM6', 'STDM7', 'STDM8', 'STDM9','STDM11','STDM12','STDM13','STDM14',
+              'STDM2', 'STDM3', 'STDM4', 'STDM5', 'STDM6', 'STDM7', 'STDM8', 'STDM9','STDM11','STDM12','STDM13','STDM14','STDM15',
               'TAUP1', 'TAUP2', 'TAUP3', 'TAUP4', 'TAUP5',
               'SUSY1', 'SUSY2', 'SUSY3', 'SUSY4', 'SUSY5', 'SUSY6', 'SUSY7', 'SUSY8', 'SUSY9', 'SUSY10', 'SUSY11', 'SUSY12', 'SUSY15', 'SUSY16', 'SUSY17', 'SUSY18','SUSY19','SUSY20',
               'EXOT0', 'EXOT2', 'EXOT3', 'EXOT4', 'EXOT5', 'EXOT6', 'EXOT7', 'EXOT8', 'EXOT9', 'EXOT10', 'EXOT12', 'EXOT13', 'EXOT15', 'EXOT17', 'EXOT19', 'EXOT20', 'EXOT21', 'EXOT22', 'EXOT23', 'EXOT27', 'EXOT28', 'EXOT29',